Skip to main content

Download last task run's default store's records

GET 

/v2/actor-tasks/:actorTaskId/runs/last/key-value-store/records

Downloads all records from the default key-value store of the last Actor task run as a ZIP archive.

This endpoint is a shortcut for getting the last task run's defaultKeyValueStoreId and then using the Download records endpoint.

Request

Path Parameters

    actorTaskId string required

    Task ID or a tilde-separated owner's username and task's name.


    Example: janedoe~my-task

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    collection string

    If specified, only records belonging to a specific collection from the key-value store schema. The key-value store need to have a schema defined for this parameter to work.


    Example: my-collection
    prefix string

    If specified, only records whose key starts with the given prefix are included in the archive.


    Example: my-prefix/
    signature string

    Signature used for the access.


    Example: 2wTI46Bg8qWQrV7tavlPI

Status 200

A ZIP archive containing the requested records.

Response Headers
    "string"